Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PShape

Name

### getChild()

Examples

    PShape states;
    PShape ohio;
    states = loadShape("tristate.svg");
    ohio = states.getChild("OH");
    smooth();
    background(0);
    shape(states, -48, 5);
    ohio.disableStyle();
    fill(102, 0, 0);
    shape(ohio, -48, 5);

Description | Extracts a child shape from a parent shape. Specify the name of the shape with the target parameter. The shape is returned as a PShape object, or null is returned if there is an error.

Syntax

    sh.getChild(target)

Parameters

sh | PShape: any variable of type PShape
target | String: the name of the shape to get

Returns | PShape or null
Usage | Web & Application

Updated on November 22, 2008 08:39:26pm PST